//
//  CombinedArrayController.h
//  newIPTCViewer
//
//  Created by Joakim Braun on 2007-01-10.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CombinedArrayController : NSArrayController {
	
	NSPredicate* mFilterPredicate;
}

- (void) dealloc;

- (void)setCobinationFilterPredicate:(NSPredicate *)filterPredicate;
- (NSPredicate *)combinationFilterPredicate;

- (void) setContent: (NSArray*) inArrays;
- (id) arrangedObjects;

-(void) addObserverToContentArrangedObjects;

@end
